<!--
 - Created by MarosGrajcar on 2/13/2020.
 -->

<!-- Eqt Data Correction Section -->
<template>

    <div class="slds-text-title_caps slds-section slds-p-around--small"
         style="background-color:#f5f5f5"><b>Data Correction</b>
    </div>

    <!--NEW FORM-->
    <template if:true={equipment}>

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--medium slds-show_medium">
            <div class="slds-size--6-of-12 slds-hyphenate">
                <div class="slds-size--10-of-12">
                    <div class="slds-align--absolute-center slds-border--bottom">
                        <b class="slds-p-bottom--small">Current Values</b>
                    </div>
                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input
                                type="text"
                                label="Description of Equipment"
                                value={equipment.Description_of_Equipment__c}
                                readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Manufacturer"
                                         value={equipment.Manufacturer__c}
                                         readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Model Number"
                                         value={equipment.Model_Number__c}
                                         readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Manufacturer Serial No."
                                         value={equipment.Manufacturer_Serial_No__c}
                                         readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Tag Number"
                                         value={equipment.Tag_Number__c}
                                         readonly>
                        </lightning-input>
                    </div>

                </div>
            </div>

            <div class="slds-size--6-of-12">
                <div class="slds-size--10-of-12">
                    <div class="slds-align--absolute-center slds-border--bottom">
                        <b class="slds-p-bottom--small">New Values</b>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input
                                type="text"
                                label="Description of Equipment"
                                maxlength="255"
                                value={description}
                                onchange={handleDescription}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Manufacturer"
                                         maxlength="40"
                                         value={manufacturer}
                                         onchange={handleManufacturer}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Model Number"
                                         maxlength="40"
                                         value={modelNo}
                                         onchange={handleModelNo}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Manufacturer Serial No."
                                         maxlength="40"
                                         value={manufacturerSerialNo}
                                         onchange={handleManufacturerSerialNo}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Tag Number"
                                         maxlength="40"
                                         value={tagNumber}
                                         onchange={handleTagNumber}>
                        </lightning-input>
                    </div>

                </div>
            </div>
        </div>

        <!--SMALL DEVICES-->
        <div class="slds-wrap slds-grid slds-hide_medium">
            <div class="slds-size--6-of-12 slds-hyphenate">
                <div class="slds-size--10-of-12">
                    <div class="slds-align--absolute-center slds-border--bottom">
                        <b class="slds-p-bottom--small">Current Values</b>
                    </div>
                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input
                                type="text"
                                label="Description of Equipment"
                                value={equipment.Description_of_Equipment__c}
                                readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Manufacturer"
                                         value={equipment.Manufacturer__c}
                                         readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Model Number"
                                         value={equipment.Model_Number__c}
                                         readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Manufacturer Serial No."
                                         value={equipment.Manufacturer_Serial_No__c}
                                         readonly>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small slds-border--bottom">
                        <lightning-input type="text"
                                         label="Tag Number"
                                         value={equipment.Tag_Number__c}
                                         readonly>
                        </lightning-input>
                    </div>

                </div>
            </div>

            <div class="slds-size--6-of-12">
                <div class="slds-size--10-of-12">
                    <div class="slds-align--absolute-center slds-border--bottom">
                        <b class="slds-p-bottom--small">New Values</b>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input
                                type="text"
                                label="Description of Equipment"
                                maxlength="255"
                                value={description}
                                onchange={handleDescription}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Manufacturer"
                                         maxlength="40"
                                         value={manufacturer}
                                         onchange={handleManufacturer}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Model Number"
                                         maxlength="40"
                                         value={modelNo}
                                         onchange={handleModelNo}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Manufacturer Serial No."
                                         maxlength="40"
                                         value={manufacturerSerialNo}
                                         onchange={handleManufacturerSerialNo}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Tag Number"
                                         maxlength="40"
                                         value={tagNumber}
                                         onchange={handleTagNumber}>
                        </lightning-input>
                    </div>

                </div>
            </div>
        </div>

    </template>

    <!--VIEW AND EDIT FORM-->
    <template if:true={equipmentForm}>
        <template if:true={isView}>

            <!--MEDIUM AND LARGE DEVICES-->
            <div class="slds-wrap slds-grid slds-p-around--medium slds-hyphenate slds-show_medium">
                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">Current Values</b>
                        </div>
                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    value={equipmentForm.Description_old__c}
                                    readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             value={equipmentForm.Manufacturer_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             value={equipmentForm.Model_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             value={equipmentForm.Manufacturer_Serial_No_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             value={equipmentForm.Tag_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                    </div>
                </div>

                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">New Values</b>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    value={equipmentForm.Description_new__c}
                                    readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             value={equipmentForm.Manufacturer_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             value={equipmentForm.Model_Number_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             value={equipmentForm.Manufacturer_Serial_No_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             value={equipmentForm.Tag_Number_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                    </div>
                </div>
            </div>

            <!--SMALL DEVICES-->
            <div class="slds-wrap slds-grid slds-hyphenate slds-hide_medium">
                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">Current Values</b>
                        </div>
                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    value={equipmentForm.Description_old__c}
                                    readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             value={equipmentForm.Manufacturer_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             value={equipmentForm.Model_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             value={equipmentForm.Manufacturer_Serial_No_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             value={equipmentForm.Tag_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                    </div>
                </div>

                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">New Values</b>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    value={equipmentForm.Description_new__c}
                                    readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             value={equipmentForm.Manufacturer_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             value={equipmentForm.Model_Number_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             value={equipmentForm.Manufacturer_Serial_No_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             value={equipmentForm.Tag_Number_new__c}
                                             readonly>
                            </lightning-input>
                        </div>

                    </div>
                </div>
            </div>

        </template>

        <template if:false={isView}>

            <!--MEDIUM AND LARGE DEVICES-->
            <div class="slds-wrap slds-grid slds-p-around--medium slds-show_medium">
                <div class="slds-size--6-of-12 slds-hyphenate">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">Current Values</b>
                        </div>
                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    value={equipmentForm.Description_old__c}
                                    readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             value={equipmentForm.Manufacturer_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             value={equipmentForm.Model_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             value={equipmentForm.Manufacturer_Serial_No_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             value={equipmentForm.Tag_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                    </div>
                </div>

                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">New Values</b>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    maxlength="255"
                                    value={equipmentForm.Description_new__c}
                                    onchange={handleDescription}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             maxlength="40"
                                             value={equipmentForm.Manufacturer_new__c}
                                             onchange={handleManufacturer}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             maxlength="40"
                                             value={equipmentForm.Model_Number_new__c}
                                             onchange={handleModelNo}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             maxlength="40"
                                             value={equipmentForm.Manufacturer_Serial_No_new__c}
                                             onchange={handleManufacturerSerialNo}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             maxlength="40"
                                             value={equipmentForm.Tag_Number_new__c}
                                             onchange={handleTagNumber}>
                            </lightning-input>
                        </div>

                    </div>
                </div>
            </div>

            <!--SMALL DEVICES-->
            <div class="slds-wrap slds-grid slds-hide_medium">
                <div class="slds-size--6-of-12 slds-hyphenate">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">Current Values</b>
                        </div>
                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    value={equipmentForm.Description_old__c}
                                    readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             value={equipmentForm.Manufacturer_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Model Number"
                                             value={equipmentForm.Model_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             value={equipmentForm.Manufacturer_Serial_No_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small slds-border--bottom">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             value={equipmentForm.Tag_Number_old__c}
                                             readonly>
                            </lightning-input>
                        </div>

                    </div>
                </div>

                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">
                        <div class="slds-align--absolute-center slds-border--bottom">
                            <b class="slds-p-bottom--small">New Values</b>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input
                                    type="text"
                                    label="Description of Equipment"
                                    maxlength="255"
                                    value={equipmentForm.Description_new__c}
                                    onchange={handleDescription}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Manufacturer"
                                             maxlength="40"
                                             value={equipmentForm.Manufacturer_new__c}
                                             onchange={handleManufacturer}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Model Number"
                                             maxlength="40"
                                             value={equipmentForm.Model_Number_new__c}
                                             onchange={handleModelNo}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Manufacturer Serial No."
                                             maxlength="40"
                                             value={equipmentForm.Manufacturer_Serial_No_new__c}
                                             onchange={handleManufacturerSerialNo}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Tag Number"
                                             maxlength="40"
                                             value={equipmentForm.Tag_Number_new__c}
                                             onchange={handleTagNumber}>
                            </lightning-input>
                        </div>

                    </div>
                </div>
            </div>

        </template>
    </template>

</template>